Bug 117748 - WaveTable name has changed to PeriodicWave
Summary: WaveTable name has changed to PeriodicWave
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Audio (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Rogers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-18 12:21 PDT by Chris Rogers
Modified: 2013-06-24 09:22 PDT (History)
11 users (show)

See Also:


Attachments
Patch (72.33 KB, patch)
2013-06-18 17:48 PDT, Chris Rogers
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from webkit-ews-04 for mac-mountainlion (529.94 KB, application/zip)
2013-06-18 21:03 PDT, Build Bot
no flags Details
Patch (74.24 KB, patch)
2013-06-19 16:17 PDT, Chris Rogers
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from webkit-ews-01 for mac-mountainlion (688.19 KB, application/zip)
2013-06-19 19:50 PDT, Build Bot
no flags Details
Archive of layout-test-results from webkit-ews-12 for mac-mountainlion-wk2 (912.34 KB, application/zip)
2013-06-19 22:47 PDT, Build Bot
no flags Details
Patch (74.83 KB, patch)
2013-06-20 11:49 PDT, Chris Rogers
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rogers 2013-06-18 12:21:54 PDT
This is a simple name change of the class and the method (createWaveTable -> createPeriodicWave)

See spec change for details:
https://dvcs.w3.org/hg/audio/rev/7c4a40a9bb57
Comment 1 Chris Rogers 2013-06-18 12:22:35 PDT
Jer, I can do a patch here if you don't have time...
Comment 2 Chris Rogers 2013-06-18 17:48:08 PDT
Created attachment 204960 [details]
Patch
Comment 3 Build Bot 2013-06-18 21:03:47 PDT
Comment on attachment 204960 [details]
Patch

Attachment 204960 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/951158

New failing tests:
fast/js/global-constructors-attributes.html
Comment 4 Build Bot 2013-06-18 21:03:52 PDT
Created attachment 204968 [details]
Archive of layout-test-results from webkit-ews-04 for mac-mountainlion

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: webkit-ews-04  Port: mac-mountainlion  Platform: Mac OS X 10.8.3
Comment 5 Chris Rogers 2013-06-19 16:17:34 PDT
Created attachment 205040 [details]
Patch
Comment 6 Build Bot 2013-06-19 19:50:14 PDT
Comment on attachment 205040 [details]
Patch

Attachment 205040 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/869564

New failing tests:
fast/js/global-constructors-attributes.html
Comment 7 Build Bot 2013-06-19 19:50:17 PDT
Created attachment 205049 [details]
Archive of layout-test-results from webkit-ews-01 for mac-mountainlion

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: webkit-ews-01  Port: mac-mountainlion  Platform: Mac OS X 10.8.3
Comment 8 Build Bot 2013-06-19 22:47:54 PDT
Comment on attachment 205040 [details]
Patch

Attachment 205040 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/943413

New failing tests:
fast/js/global-constructors-attributes.html
Comment 9 Build Bot 2013-06-19 22:47:58 PDT
Created attachment 205059 [details]
Archive of layout-test-results from webkit-ews-12 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-12  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.3
Comment 10 Chris Rogers 2013-06-20 11:49:19 PDT
Created attachment 205106 [details]
Patch
Comment 11 Chris Rogers 2013-06-23 21:47:25 PDT
Jer, this is a simple name change.  Could you please review?
Comment 12 Jer Noble 2013-06-24 09:00:25 PDT
Comment on attachment 205106 [details]
Patch

Yep. r=me.
Comment 13 WebKit Commit Bot 2013-06-24 09:22:20 PDT
Comment on attachment 205106 [details]
Patch

Clearing flags on attachment: 205106

Committed r151914: <http://trac.webkit.org/changeset/151914>
Comment 14 WebKit Commit Bot 2013-06-24 09:22:24 PDT
All reviewed patches have been landed.  Closing bug.